import React from 'react';

export const CampaignIcon = ({ fill = '#E4B740', fillRule = 'nonzero', ...props }) => (
	<svg width='18px' height='19px' viewBox='0 0 18 19' version='1.1' className='campaign-icon-components' {...props}>
		<g id='Symbols' stroke='none' strokeWidth='1' fill='none' fillRule='evenodd'>
			<g id='Nav' transform='translate(-146.000000, -1.000000)' fill={fill} fillRule={fillRule}>
				<g id='Stacked-Group-2'>
					<g id='alt' transform='translate(146.000000, 1.000000)'>
						<path
							d='M3.2026503,14.1276918 C3.36341445,14.0632408 3.95577749,13.8706182 3.95577749,13.8706182 C4.62346066,14.7627842 5.31937799,14.2341399 5.56486502,14.801882 C5.86105488,15.4833207 6.50626937,16.9679216 6.72786025,17.4705009 C6.94872812,17.9730615 7.44478172,18.4408809 7.80902647,18.3054571 C8.16965621,18.1664182 9.39710986,17.6993403 9.86772861,17.5204622 C10.3391631,17.3423182 10.4492262,16.925209 10.3065723,16.5928138 C10.1530512,16.2357991 9.51796244,16.1322429 9.3361923,15.7151263 C9.15370286,15.3009017 8.56206097,13.9698919 8.39478794,13.5490862 C8.1630565,12.9784521 8.65475354,12.5142662 9.36878301,12.4389442 C14.2785234,11.9363836 15.1954384,14.9685247 16.8689102,14.2877348 C18.1644373,13.7590905 17.9001151,10.0129385 16.3120317,6.31320697 C15.4452078,4.30437343 14.2959682,2.55192756 13.2183243,1.45704284 C12.3124026,0.53664262 11.4593343,0.07968675 10.866899,0.32228177 C8.66915797,1.21444782 12.1761816,5.50657762 1.38259446,9.8957565 C0.451330677,10.2744984 0.212350674,11.790949 0.604848124,12.6967408 C0.725782276,12.9748186 0.929272145,13.2536193 1.17983853,13.4925993 C1.74324274,14.0378912 2.55283825,14.3920139 3.20239076,14.1276918 L3.2026503,14.1276918 Z M12.3009829,8.0294471 C11.0662807,5.15375259 11.2198167,2.52721572 11.509481,2.4100523 C11.7955303,2.29273872 13.6827512,4.13355955 14.9166748,7.00927261 C16.151377,9.8849671 16.0441873,12.1970908 15.7588795,12.3151811 C15.4692152,12.4332196 13.5349992,10.9059573 12.3010756,8.0296325 L12.3009829,8.0294471 Z'
							fill={fill}
						/>
					</g>
				</g>
			</g>
		</g>
	</svg>
);
